Package Details: drone-git v2973-1

Git Clone URL: https://aur.archlinux.org/drone-git.git (read-only)
Package Base: drone-git
Description: Drone is a Continuous Integration platform built on Docker, written in Go.
Upstream URL: http://github.com/drone/drone
Licenses: Apache 2
Conflicts: drone
Provides: drone
Submitter: confusedfla
Maintainer: flaccid
Last Packager: flaccid
Votes: 2
Popularity: 0.000000
First Submitted: 2014-10-26 01:10
Last Updated: 2017-07-10 22:49

Latest Comments

1 2 Next › Last »

flaccid commented on 2018-09-14 23:42

Strange because it exports its own GOPATH.

hashworks commented on 2018-09-14 14:12

This won't build if GOPATH contains multiple folders: GOPATH=/usr/local/go:/home/hashworks/Documents/Projects/Go

Setting a different GOPATH for the build works fine: GOPATH=/usr/local/go makepkg -sir

lpzantony commented on 2018-09-03 17:41

The error message @denis_oster got is the following :

==> Starting build()...
  -> building drone-server
/home/alarm/.cache/yay/drone-git/PKGBUILD: line 52: pushd: /src/github.com/drone/drone: No such file or directory
==> ERROR: A failure occurred in build().

And $GOPATH seems to be empty on line 52.

I tried replacing $GOPATH by $srcdir/go in line 52 since it is supposed to be its value but I get another error message :

==> Starting build()...
  -> building drone-server
can't load package: package github.com/drone/drone/cmd/drone-server: cannot find package "github.com/drone/drone/cmd/drone-server" in any of:
    /usr/lib/go/src/github.com/drone/drone/cmd/drone-server (from $GOROOT)
    /home/alarm/go/src/github.com/drone/drone/cmd/drone-server (from $GOPATH)
==> ERROR: A failure occurred in build().
    Aborting...

I'm running out of ideas for now

flaccid commented on 2018-08-25 03:40

I can't read russian, but I was unable to replicate the issue with: docker run -i -t --rm -v $(pwd):/usr/local/build/src flaccid/arch-makepkg

denis_oster commented on 2018-08-24 15:52

==> Запускается build()... -> building drone-server /home/denis/.cache/yay/drone-git/PKGBUILD: строка 50: pushd: /src/github.com/drone/drone: Нет такого файла или каталога ==> ОШИБКА: Произошел сбой в build(). Прерывание... Error making: drone-git

flaccid commented on 2017-07-10 22:51

@moscar cheers mate. Package updated. If anyone has issues or feedback, please let me know.

moscar commented on 2017-07-10 15:58

@flaccid, thanks! I have disowned the package so you can take it over.

flaccid commented on 2017-07-10 12:26

Updated all the things, working, https://github.com/flaccid/archlinux-packages/tree/master/drone-git. Happy to take over or feel free to use.

moscar commented on 2016-10-16 22:42

I have updated the PKGBUILD to be able to build the latest master.

Note that drone has changed quite a bit since latest v0.4.2 release.
Make sure to read how to set it up: https://github.com/drone/drone#documentation-for-05-unstable

confusedfla commented on 2016-09-09 09:49

Sorry I haven't used this since two years, please feel free to adopt it.